$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.91.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.91.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '35A647279A8FB549BAE8D556F13949EDFC858EB0C29C8E0ECAAA2D1FA51EEA27'
  checksumType = 'sha256'
  checksum64 = '35A647279A8FB549BAE8D556F13949EDFC858EB0C29C8E0ECAAA2D1FA51EEA27'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.91-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
